| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
EM::IOObjInfo Class Reference
EarthModel

Info on IOObj for earthmodel. More...

`#include <emioobjinfo.h>`

## Public Member Functions
| IOObjInfo (const IOObj &)
| IOObjInfo (const IOObj *)
| IOObjInfo (const IOObjInfo &)
| IOObjInfo (const MultiID &)
virtual | ~IOObjInfo ()
bool | getAttribNames (BufferStringSet &) const
bool | getBodyRange (TrcKeyZSampling &) const
StepInterval< int > | getCrlRange () const
bool | getGeomIDs (TypeSet< Pos::GeomID > &) const
StepInterval< int > | getInlRange () const
bool | getLineNames (BufferStringSet &) const
uiString | getMessage () const
IOPar * | getPars () const
int | getParsOffsetInFile () const
bool | getSectionIDs (TypeSet< SectionID > &) const
bool | getSectionNames (BufferStringSet &) const
bool | getSurfaceData (SurfaceIOData &, uiString &err) const
bool | getTrcRanges (TypeSet< StepInterval< int > > &) const
Interval< float > | getZRange () const
BufferString | getZUnitLabel () const
const UnitOfMeasure * | getZUoM () const
bool | hasGeomIDs () const
const IOObj * | ioObj () const
bool | isOK () const
bool | isSurface () const
Strat::LevelID | levelID () const
const char * | name () const
int | nrSticks () const
IOObjInfo & | operator= (const IOObjInfo &)
const char * | timeLastModified () const
const char * | timeLastModified (bool iso) const
ObjectType | type () const
const ZDomain::Info & | zDomain () const

## Static Public Member Functions
static void | getHorizonIDsForLine (const Pos::GeomID &, TypeSet< MultiID > &)
static void | getHorizonNamesForLine (const Pos::GeomID &, BufferStringSet &)
static void | getIDs (ObjectType, TypeSet< MultiID > &)
| Does not erase the IDs at start.
static void | getObjectNames (ObjectType, BufferStringSet &)
| Does not erase the names at start.
static void | getTiedToLevelID (Strat::LevelID, TypeSet< MultiID > &, bool is2d)
static ObjectType | objectTypeOfIOObjGroup (const char *)
static bool | sortHorizonsOnZValues (const TypeSet< MultiID > &, TypeSet< MultiID > &)

## Protected Member Functions
void | fillZDomain ()
void | init ()
void | setType ()

## Protected Attributes
IOObj * | ioobj_
dgbSurfaceReader * | reader_ = nullptr
ObjectType | type_
const ZDomain::Info * | zinfo_ = nullptr

## Detailed Description

Info on IOObj for earthmodel.

<>

## Constructor & Destructor Documentation

## ◆ IOObjInfo() [1/4]

EM::IOObjInfo::IOObjInfo | ( | const IOObj * |  | ) |

## ◆ IOObjInfo() [2/4]

EM::IOObjInfo::IOObjInfo | ( | const IOObj & |  | ) |

## ◆ IOObjInfo() [3/4]

EM::IOObjInfo::IOObjInfo | ( | const MultiID & |  | ) |

## ◆ IOObjInfo() [4/4]

EM::IOObjInfo::IOObjInfo | ( | const IOObjInfo & |  | ) |

## ◆ ~IOObjInfo()

virtual EM::IOObjInfo::~IOObjInfo | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ fillZDomain()

void EM::IOObjInfo::fillZDomain | ( |  | ) |
| protected

## ◆ getAttribNames()

bool EM::IOObjInfo::getAttribNames | ( | BufferStringSet & |  | ) | const

## ◆ getBodyRange()

bool EM::IOObjInfo::getBodyRange | ( | TrcKeyZSampling & |  | ) | const

## ◆ getCrlRange()

StepInterval< int > EM::IOObjInfo::getCrlRange | ( |  | ) | const

## ◆ getGeomIDs()

bool EM::IOObjInfo::getGeomIDs | ( | TypeSet< Pos::GeomID > & |  | ) | const

## ◆ getHorizonIDsForLine()

static void EM::IOObjInfo::getHorizonIDsForLine | ( | const Pos::GeomID & | ,
|  | TypeSet< MultiID > & | )
| static

## ◆ getHorizonNamesForLine()

static void EM::IOObjInfo::getHorizonNamesForLine | ( | const Pos::GeomID & | ,
|  | BufferStringSet & | )
| static

## ◆ getIDs()

static void EM::IOObjInfo::getIDs | ( | ObjectType | ,
|  | TypeSet< MultiID > & | )
| static

Does not erase the IDs at start.

## ◆ getInlRange()

StepInterval< int > EM::IOObjInfo::getInlRange | ( |  | ) | const

## ◆ getLineNames()

bool EM::IOObjInfo::getLineNames | ( | BufferStringSet & |  | ) | const

## ◆ getMessage()

uiString EM::IOObjInfo::getMessage | ( |  | ) | const

## ◆ getObjectNames()

static void EM::IOObjInfo::getObjectNames | ( | ObjectType | ,
|  | BufferStringSet & | )
| static

Does not erase the names at start.

## ◆ getPars()

IOPar * EM::IOObjInfo::getPars | ( |  | ) | const

## ◆ getParsOffsetInFile()

int EM::IOObjInfo::getParsOffsetInFile | ( |  | ) | const

## ◆ getSectionIDs()

bool EM::IOObjInfo::getSectionIDs | ( | TypeSet< SectionID > & |  | ) | const

## ◆ getSectionNames()

bool EM::IOObjInfo::getSectionNames | ( | BufferStringSet & |  | ) | const

## ◆ getSurfaceData()

bool EM::IOObjInfo::getSurfaceData | ( | SurfaceIOData & | ,
|  | uiString & | err ) const

## ◆ getTiedToLevelID()

static void EM::IOObjInfo::getTiedToLevelID | ( | Strat::LevelID | ,
|  | TypeSet< MultiID > & | ,
|  | bool | is2d )
| static

## ◆ getTrcRanges()

bool EM::IOObjInfo::getTrcRanges | ( | TypeSet< StepInterval< int > > & |  | ) | const

## ◆ getZRange()

Interval< float > EM::IOObjInfo::getZRange | ( |  | ) | const

## ◆ getZUnitLabel()

BufferString EM::IOObjInfo::getZUnitLabel | ( |  | ) | const

## ◆ getZUoM()

const UnitOfMeasure * EM::IOObjInfo::getZUoM | ( |  | ) | const

## ◆ hasGeomIDs()

bool EM::IOObjInfo::hasGeomIDs | ( |  | ) | const

## ◆ init()

void EM::IOObjInfo::init | ( |  | ) |
| protected

## ◆ ioObj()

const IOObj * EM::IOObjInfo::ioObj | ( |  | ) | const
| inline

## ◆ isOK()

bool EM::IOObjInfo::isOK | ( |  | ) | const

## ◆ isSurface()

bool EM::IOObjInfo::isSurface | ( |  | ) | const
| inline

## ◆ levelID()

Strat::LevelID EM::IOObjInfo::levelID | ( |  | ) | const

## ◆ name()

const char * EM::IOObjInfo::name | ( |  | ) | const

## ◆ nrSticks()

int EM::IOObjInfo::nrSticks | ( |  | ) | const

## ◆ objectTypeOfIOObjGroup()

static ObjectType EM::IOObjInfo::objectTypeOfIOObjGroup | ( | const char * |  | ) |
| static

## ◆ operator=()

IOObjInfo & EM::IOObjInfo::operator= | ( | const IOObjInfo & |  | ) |

## ◆ setType()

void EM::IOObjInfo::setType | ( |  | ) |
| protected

## ◆ sortHorizonsOnZValues()

static bool EM::IOObjInfo::sortHorizonsOnZValues | ( | const TypeSet< MultiID > & | ,
|  | TypeSet< MultiID > & | )
| static

## ◆ timeLastModified() [1/2]

const char * EM::IOObjInfo::timeLastModified | ( |  | ) | const

## ◆ timeLastModified() [2/2]

const char * EM::IOObjInfo::timeLastModified | ( | bool | iso | ) | const

## ◆ type()

ObjectType EM::IOObjInfo::type | ( |  | ) | const
| inline

## ◆ zDomain()

const ZDomain::Info & EM::IOObjInfo::zDomain | ( |  | ) | const

## Member Data Documentation

## ◆ ioobj_

IOObj* EM::IOObjInfo::ioobj_
| protected

## ◆ reader_

dgbSurfaceReader* EM::IOObjInfo::reader_ = nullptr
| mutable protected

## ◆ type_

ObjectType EM::IOObjInfo::type_
| protected

## ◆ zinfo_

const ZDomain::Info* EM::IOObjInfo::zinfo_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025